package user_admin

import (
	"context"
	"git.noahlan.cn/n-admin/n-admin-server/rpc/core/types/core"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"

	"net/http"
)

type DeleteUserAdminLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	r      *http.Request
}

func NewDeleteUserAdminLogic(r *http.Request, ctx context.Context, svcCtx *svc.ServiceContext) *DeleteUserAdminLogic {
	return &DeleteUserAdminLogic{
		r:      r,
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *DeleteUserAdminLogic) DeleteUserAdmin(req *types.BaseIDs) error {
	_, err := l.svcCtx.CoreRpc.DeleteUser(l.ctx, &core.IDsReq{Ids: req.Ids})
	if err != nil {
		return err
	}
	return nil
}
